Bug 1018542 - Review Request: go-bindata - A small utility which generates Go code from any file
Review Request: go-bindata - A small utility which generates Go code from any...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Miller
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1018543
  Show dependency treegraph
 
Reported: 2013-10-13 01:02 EDT by Lokesh Mandvekar
Modified: 2014-07-01 18:59 EDT (History)
8 users (show)

See Also:
Fixed In Version: go-bindata-0-0.4.git79847ab.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-28 23:41:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattdm: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Lokesh Mandvekar 2013-10-13 01:02:31 EDT
Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-github-jteeuwen-go-bindata.spec
SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-github-jteeuwen-go-bindata-0-0.1.git79847ab.fc21.src.rpm

Description:
A small utility which generates Go code from any file

This tool converts any file into managable Go source code. Useful for
embedding binary data into a go program. The file data is optionally gzip
compressed before being converted to a raw byte slice.

Fedora Account System Username: lsm5

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=6054104

$ rpmlint SPECS/golang-github-jteeuwen-go-bindata.spec SRPMS/golang-github-jteeuwen-go-bindata-0-0.1.git79847ab.fc21.src.rpm RPMS/noarch/golang-github-jteeuwen-go-bindata-devel-0-0.1.git79847ab.fc21.noarch.rpm
SPECS/golang-github-jteeuwen-go-bindata.spec:35: W: setup-not-quiet
golang-github-jteeuwen-go-bindata.src:35: W: setup-not-quiet
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
Comment 1 Matthew Miller 2013-10-14 10:22:56 EDT
It looks like this one should be built as a binary, non-devel package providing the go-bindata tool, not the code.
Comment 2 Matthew Miller 2013-10-14 13:52:03 EDT
The above also implies that the package should be "go-bindata", not the longer import-path-based name.
Comment 3 Matthew Miller 2013-10-14 17:39:59 EDT
So, no -devel subpackage. Also, BuildRequires golang but no Requires -- the result is stand-alone.
Comment 4 Matthew Miller 2013-10-14 17:44:26 EDT
I think this should do it for the %build section:


%build

mkdir -p src/github.com/jteeuwen/
ln -s $(pwd) src/github.com/jteeuwen/go-bindata
export GOPATH=$(pwd)
go build -v -a
Comment 5 Lokesh Mandvekar 2013-10-14 19:38:18 EDT
%changelog
* Mon Oct 14 2013 Lokesh Mandvekar <lsm5@redhat.com>  0-0.2.git79847ab
- defattr removed
- only go-bindata installed, no devel package

Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-github-jteeuwen-go-bindata.spec
SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-github-jteeuwen-go-bindata-0-0.1.git79847ab.fc21.src.rpm
Comment 6 Matthew Miller 2013-10-14 20:00:44 EDT
Except the package should actually be renamed to "go-bindata". :)
Comment 7 Lokesh Mandvekar 2013-10-14 21:16:08 EDT
(In reply to Matthew Miller from comment #6)
> Except the package should actually be renamed to "go-bindata". :)

yup :)

%changelog
* Mon Oct 14 2013 Lokesh Mandvekar <lsm5@redhat.com>  0-0.3.git79847ab
- package name change to go-bindata


Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/go-bindata.spec
SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/go-bindata-0-0.3.git79847ab.fc21.src.rpm
Comment 8 Matthew Miller 2013-10-14 21:50:31 EDT
Looks good. As with all of the Go packages this may need to be updated as the draft packaging guidelines are developed.
Comment 9 Lokesh Mandvekar 2013-10-14 22:29:21 EDT
New Package SCM Request
=======================
Package Name: go-bindata
Short Description: A small utility which generates Go code from any file
Owners: lsm5
Branches: f19 f20 el6
InitialCC:
Comment 10 Jens Petersen 2013-10-15 02:02:25 EDT
Git done (by process-git-requests).
Comment 11 Vincent Batts 2013-10-16 14:33:04 EDT
(In reply to Matthew Miller from comment #4)
> I think this should do it for the %build section:
> 
> 
> %build
> 
> mkdir -p src/github.com/jteeuwen/
> ln -s $(pwd) src/github.com/jteeuwen/go-bindata
> export GOPATH=$(pwd)
> go build -v -a

does this still build fine if the rpm is installed on the host that is trying to do a new build of the RPM?
Is setting of GOBIN needed? or passing '-o %{buildroot}/usr/bin/go-bindata' to go build?
Comment 12 Matthew Miller 2013-10-16 15:43:20 EDT
(In reply to Vincent Batts from comment #11)
> does this still build fine if the rpm is installed on the host that is
> trying to do a new build of the RPM?
> Is setting of GOBIN needed? or passing '-o %{buildroot}/usr/bin/go-bindata'
> to go build?

I'm pretty sure go-bindata just needs to be in the path. However, I see that etcd's mod/dashboard build script wants to build the binary into $PWD (not even $GOBIN!) and calls it as ./go-bindata.

We should either patch or ignore that build script (which we'll have to do anyway because it's got other oddities).

Let me know if I'm missing something here.
Comment 13 Lokesh Mandvekar 2013-10-18 12:54:01 EDT
(In reply to Vincent Batts from comment #11)
> 
> does this still build fine if the rpm is installed on the host that is
> trying to do a new build of the RPM?
> Is setting of GOBIN needed? or passing '-o %{buildroot}/usr/bin/go-bindata'
> to go build?

It does build fine when already installed.

I'm guessing everything else is good to go for this package (?)
Comment 14 Lokesh Mandvekar 2013-10-18 13:18:19 EDT
%changelog
* Fri Oct 18 2013 Lokesh Mandvekar <lsm5@redhat.com>  0-0.4.git79847ab
- buildrequires golang
Comment 15 Matthew Miller 2013-10-18 13:30:44 EDT
Yeah I think it's just waiting builds :)
Comment 16 Fedora Update System 2013-10-18 13:42:40 EDT
go-bindata-0-0.4.git79847ab.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/go-bindata-0-0.4.git79847ab.fc20
Comment 17 Fedora Update System 2013-10-18 13:56:15 EDT
go-bindata-0-0.4.git79847ab.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/go-bindata-0-0.4.git79847ab.fc19
Comment 18 Fedora Update System 2013-10-18 14:02:29 EDT
go-bindata-0-0.4.git79847ab.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/go-bindata-0-0.4.git79847ab.el6
Comment 19 Fedora Update System 2013-10-18 20:12:55 EDT
go-bindata-0-0.4.git79847ab.fc20 has been pushed to the Fedora 20 testing repository.
Comment 20 Peter Lemenkov 2013-10-23 07:11:57 EDT
Package Change Request
======================
Package Name: go-bindata
InitialCC: golang-sig
Comment 21 Gwyn Ciesla 2013-10-23 10:14:14 EDT
Done.
Comment 22 Fedora Update System 2013-10-28 23:41:22 EDT
go-bindata-0-0.4.git79847ab.fc19 has been pushed to the Fedora 19 stable repository.
Comment 23 Fedora Update System 2013-11-03 12:57:56 EST
go-bindata-0-0.4.git79847ab.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 24 Fedora Update System 2013-11-10 01:18:40 EST
go-bindata-0-0.4.git79847ab.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.